Imports System.ComponentModel
Imports System.Drawing

Public Class NameFactory

  Public Function getNamer(ByVal nm As String) As NameClass
    Dim i As Integer

    i = nm.IndexOf(",")
    If i > 0 Then
      Return New LastFirst(nm)
    Else
      Return New FirstFirst(nm)
    End If
  End Function
End Class

